Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 594635 - kernel: security: testing the wrong variable in create_by_name() [rhel-5.6]
Summary: kernel: security: testing the wrong variable in create_by_name() [rhel-5.6]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Don Howard
QA Contact: Hangbin Liu
URL:
Whiteboard:
Depends On:
Blocks: 643347
TreeView+ depends on / blocked
 
Reported: 2010-05-21 08:20 UTC by Eugene Teo (Security Response)
Modified: 2011-01-13 21:33 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-13 21:33:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 0 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 10:37:42 UTC

Description Eugene Teo (Security Response) 2010-05-21 08:20:30 UTC
Description of problem:
There is a typo here.  We should be testing "*dentry" instead of "dentry".  If
"*dentry" is an ERR_PTR, it gets dereferenced in either mkdir() or create()
which would cause an OOPs.

This bug has been in the kernel since 2.6.14-rc2 via b67dbf9d.

Upstream commit:
http://git.kernel.org/linus/b338cc8207eae46640a8d534738fda7b5e48511d

Comment 5 RHEL Program Management 2010-08-17 18:40:04 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 7 Jarod Wilson 2010-08-31 01:17:22 UTC
in kernel-2.6.18-214.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.

Comment 11 Eryu Guan 2010-12-17 05:52:42 UTC
Passed case /kernel/errata/5.5.z/643347-test-wrong-var-in-create_by_name, remove SanityOnly

Comment 13 errata-xmlrpc 2011-01-13 21:33:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html


Note You need to log in before you can comment on or make changes to this bug.